import webpack from 'webpack';
interface PluginFactory<P extends new (...args: any) => any> {
    (...args: ConstructorParameters<P>): P;
}
declare const plugins: {
    normalModuleReplacement: PluginFactory<typeof webpack.NormalModuleReplacementPlugin>;
    contextReplacement: PluginFactory<typeof webpack.ContextReplacementPlugin>;
    ignore: PluginFactory<typeof webpack.IgnorePlugin>;
    watchIgnore: PluginFactory<typeof webpack.WatchIgnorePlugin>;
    banner: PluginFactory<typeof webpack.BannerPlugin>;
    prefetch: PluginFactory<typeof webpack.PrefetchPlugin>;
    provide: PluginFactory<typeof webpack.ProvidePlugin>;
    hotModuleReplacement: PluginFactory<typeof webpack.HotModuleReplacementPlugin>;
    sourceMapDevTool: PluginFactory<typeof webpack.SourceMapDevToolPlugin>;
    evalSourceMapDevTool: PluginFactory<typeof webpack.EvalSourceMapDevToolPlugin>;
    progress: PluginFactory<typeof webpack.ProgressPlugin>;
    noEmitOnErrors: PluginFactory<typeof webpack.NoEmitOnErrorsPlugin>;
    environment: PluginFactory<typeof webpack.EnvironmentPlugin>;
    dll: PluginFactory<typeof webpack.DllPlugin>;
    dllReference: PluginFactory<typeof webpack.DllReferencePlugin>;
    loaderOptions: PluginFactory<typeof webpack.LoaderOptionsPlugin>;
    aggressiveMerging: PluginFactory<any>;
    limitChunkCount: PluginFactory<any>;
    minChunkSize: PluginFactory<any>;
    moduleConcatenation: PluginFactory<any>;
};
export default plugins;
